id: wordpress-pdf-embedder

info:
  name: PDF Embedder Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/pdf-embedder/
  metadata:
    plugin_namespace: pdf-embedder
    wpscan: https://wpscan.com/plugin/pdf-embedder
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/pdf-embedder/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/pdf-embedder.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a0047304502201a5bf84a288fd664d39394c9ef6ed6444d2b0582909fbdba62d30e2ea03038740221009519173061b67354ed5fe2e704f70d6bd25972202da8f91a07bfb11905bf1c66:922c64590222798bb761d5b6d8e72950